<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextUniqueMultiple Method (Int32, LockingInfo)
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNextUniqueMultiple is identical to MoveFirstMultiple(Int32, LockingInfo). Otherwise, move the cursor to the next non-duplicate key in the database, and store that key and associated datum and as many duplicate data items that can fit in a buffer the size of BufferSize in CurrentMultiple. MoveNextUniqueMultiple will return false if no non-duplicate key/data pairs exist after the cursor position in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MoveNextUniqueMultiple(
    	int BufferSize,
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveNextUniqueMultiple ( _
    	BufferSize As Integer, _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveNextUniqueMultiple(
    	int BufferSize,
    	LockingInfo^ info
    )

#### Parameters

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with duplicate data items. Must be at least the page size of the underlying database and be a multiple of 1024.

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextUniqueMultiple Overload
BerkeleyDB Namespace